<?php
/**
 * @file
 * Template for custom ocio-omega-alx Panopoly layout.
 *
 * Variables:
 * - $css_id: An optional CSS id to use for the layout.
 * - $content: An array of content, each item in the array is keyed to one
 * panel of the layout. This layout supports the following sections:
 */
?>

<div class="panel-display ocio-omega-alx clearfix <?php if (!empty($class)) { print $class; } ?>" <?php if (!empty($css_id)) { print "id=\"$css_id\""; } ?>>
  <!-- header row -->
  <div class="row-header panels-row <?php print $panels_row['header']; ?>">
    <div class="ocio-omega-alx-container ocio-omega-alx-header clearfix panel-panel row-fluid <?php print $panels_row_classes; ?>">
      <div class="ocio-omega-alx-container-inner ocio-omega-alx-header-inner panel-panel-inner span12">
        <?php print $content['header']; ?>
      </div>
    </div>
  </div>

  <!-- tiles row -->
  <div class="row-tiles panels-row <?php print $panels_row['tiles']; ?>">

	  <!-- tiles header row -->
    <div class="ocio-omega-alx-container ocio-omega-alx-tiles-header-content clearfix row-fluid <?php print $panels_row_classes; ?>">
      <div class="ocio-omega-alx-tiles-header-content-region ocio-omega-alx-tiles-header panel-panel tiles-header-panel clearfix">
        <div class="ocio-omega-alx-tiles-header-inner panel-panel-inner">
          <?php print $content['tiles_header']; ?>
        </div>
      </div>
    </div>

    <!-- first row of tiles -->
    <div class="ocio-omega-alx-container ocio-omega-alx-tile-content clearfix row-fluid <?php print $panels_row_classes; ?>">
      <div class="ocio-omega-alx-tile-content-region2 ocio-omega-alx-tile1 panel-panel tile-panel clearfix span6">
        <div class="ocio-omega-alx-tile-content-region2-inner ocio-omega-alx-tile1-inner panel-panel-inner">
          <?php print $content['tile1']; ?>
        </div>
      </div>
      <div class="ocio-omega-alx-tile-content-region2 ocio-omega-alx-tile2 panel-panel tile-panel clearfix span6">
        <div class="ocio-omega-alx-tile-content-region2-inner ocio-omega-alx-tile2-inner panel-panel-inner">
          <?php print $content['tile2']; ?>
        </div>
      </div>
    </div>

		<!-- second row of tiles -->
    <div class="ocio-omega-alx-container ocio-omega-alx-tile-content clearfix row-fluid <?php print $panels_row_classes; ?>">
      <div class="ocio-omega-alx-tile-content-region2 ocio-omega-alx-tile3 panel-panel tile-panel clearfix span6">
        <div class="ocio-omega-alx-tile-content-region2-inner ocio-omega-alx-tile3-inner panel-panel-inner">
          <?php print $content['tile3']; ?>
        </div>
      </div>
      <div class="ocio-omega-alx-tile-content-region2 ocio-omega-alx-tile4 panel-panel tile-panel clearfix span6">
        <div class="ocio-omega-alx-tile-content-region2-inner ocio-omega-alx-tile4-inner panel-panel-inner">
          <?php print $content['tile4']; ?>
        </div>
      </div>
    </div>

  </div>

  <!-- Row 1 -->
  <div class="row-1 panels-row <?php print $panels_row['row_1']; ?>">
    <div class="ocio-omega-alx-container ocio-omega-alx-column-content clearfix row-fluid <?php print $panels_row_classes; ?>">
      <div class="ocio-omega-alx-column-content-region ocio-omega-alx-column-left ocio-omega-alx-column panel-panel span8">
        <div class="ocio-omega-alx-column-content-region-inner ocio-omega-alx-column-left-inner ocio-omega-alx-column-inner panel-panel-inner">
          <?php print $content['row_1_col_1']; ?>
        </div>
      </div>
      <div class="ocio-omega-alx-column-content-region ocio-omega-alx-column-right ocio-omega-alx-column panel-panel span4">
        <div class="ocio-omega-alx-column-content-region-inner ocio-omega-alx-column-right-inner ocio-omega-alx-column-inner panel-panel-inner">
          <?php print $content['row_1_col_2']; ?>
        </div>
      </div>
    </div>
  </div>

  <!-- Row 2 -->
  <div class="row-2 panels-row <?php print $panels_row['row_2']; ?>">
    <div class="ocio-omega-alx-container ocio-omega-alx-column-content clearfix row-fluid <?php print $panels_row_classes; ?>">
      <div class="ocio-omega-alx-column-content-region ocio-omega-alx-column-left ocio-omega-alx-column panel-panel span4">
        <div class="ocio-omega-alx-column-content-region-inner ocio-omega-alx-column-left-inner ocio-omega-alx-column-inner panel-panel-inner">
          <?php print $content['row_2_col_1']; ?>
        </div>
      </div>
      <div class="ocio-omega-alx-column-content-region ocio-omega-alx-column-right ocio-omega-alx-column panel-panel span8">
        <div class="ocio-omega-alx-column-content-region-inner ocio-omega-alx-column-right-inner ocio-omega-alx-column-inner panel-panel-inner">
          <?php print $content['row_2_col_2']; ?>
        </div>
      </div>
    </div>
  </div>

  <!-- footer row -->
  <div class="row-footer panels-row <?php print $panels_row['footer']; ?>">
    <div class="ocio-omega-alx-container ocio-omega-alx-footer clearfix panel-panel row-fluid <?php print $panels_row_classes; ?>">
      <div class="ocio-omega-alx-container-inner ocio-omega-alx-footer-inner panel-panel-inner span12">
        <?php print $content['footer']; ?>
      </div>
    </div>
  </div>

</div><!-- /.ocio-omega-alx -->
